const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_5 = ebx_global_2d_to_2d_local;
    ebx_global_2d_to_2d_local = z.x;
    v3_b = arg1[48];
    edi_global_2d_to_2d_local = v3_b # edi;
    st7_global_2d_to_2d_local = z.z + *((v3_b - 32)) # st7;
    if *((v3_b - 60)) == 0:;
        goto lab_0x41;
    else:;
        v1_3a = __asm_fnstsw(fpsw_global_2d_to_2d_local);
        v3_3c = v1_3a / 256 & 65;
        z.x = z.x & -0x10000 | v1_3a & -0xff01 | 256 * v3_3c;
        if v3_3c == 0:;
            goto lab_0x41;
        else:;
            goto lab_0x66;
  lab_0x41: # goto label;
    v1_44 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+44;
    v3_46 = v1_44 / 256 & 65 # bp+46;
    z.x = z.x & -0x10000 | v1_44 & -0xff01 | 256 * v3_46;
    if v3_46 == 0:;
        v2_4f_pre = st7_global_2d_to_2d_local;
        goto lab_0x4b;
    else:;
        if *((edi_global_2d_to_2d_local - 60)) == 2:;
            v4_7f = edi_global_2d_to_2d_local - 48;
            v2_4f_pre = *v4_7f - st7_global_2d_to_2d_local + *v4_7f;
            goto lab_0x4b;
        else:;
            # 0x76;
            v2_61 = edi_global_2d_to_2d_local;
            v2_4f = *((edi_global_2d_to_2d_local - 56));
            goto lab_0x4f;
  lab_0x4b: # goto label;
    # 0x4b;
    v2_61 = edi_global_2d_to_2d_local;
    v2_4f = v2_4f_pre;
    goto lab_0x4f;
  lab_0x66: # goto label;
    # 0x66;
    z.x = ebx_global_2d_to_2d_local;
    ebx_global_2d_to_2d_local = v0_5;
    return ebx_global_2d_to_2d_local;
  lab_0x4f: # goto label;
    v4_4f = v2_4f * v2_4f;
    v4_51 = v4_4f * v4_4f # bp+51;
    v7_57 = v4_51 * v4_51 - *((v2_61 - 16)) # bp+57;
    v2_5a = ebx_global_2d_to_2d_local;
    *v2_5a = v7_57;
    v7_5c = v7_57 - *((v2_61 - 24));
    *z.y = v7_5c;
    *z.z = v7_5c - *((v2_61 - 32));
    ebx_global_2d_to_2d_local = v2_5a;
    goto lab_0x66;


	}